FAQ-Antworten

  • Altais
  • Wie nutze ich eine bestimmte PHP-Version?

Wie nutze ich eine bestimmte PHP-Version?

PHP5 ist in allen unseren Hostingtarifen Standard. Welche Version aktiv ist können Sie mit einem Script testen. Legen Sie hierzu eine Datei mit z.B. dem Namen "phpinfo.php" an. Tragen Sie in diese Datei

<?php
phpinfo();
?>

ein und laden diese Datei in ihren Webspace in das Verzeichnis /html hoch. Wenn Sie nun in der Adresszeile ihres Browser http://www.meine-Domain.xx/phpinfo.php eingeben werden Ihnen die aktive PHP-Version und weitere Daten angezeigt. Da dieses Script unter Umständen sensible Informationen über den Webserver liefert, sollten Sie dieses Script nicht jedermann zugänglich machen und es wieder vom Webspace entfernen.

Sofern Sie eine andere PHP-Version benötigen, können Sie diese mit einer .htaccess-Datei aktivieren. Melden Sie sich dazu mit einem FTP-Programm bei ihrem Webspace an und wechseln Sie an in das Verzeichnis /html. Dort erstellen Sie, sofern noch nicht vorhanden, eine Datei mit dem Namen .htaccess

In dieser Datei machen Sie für die Nutzung von PHP4 z.B. folgenden Eintrag:

RemoveTyp .php
AddHandler x-httpd-php4 .php

Anschließend können Sie mit phpinfo.php die aktive PHP-Version erneut überprüfen.

Zur Zeit können Sie in der .htaccess php4, php53, php54 und php55 eintragen. PHP7 wird derzeit noch nicht unterstützt.

Zuletzt aktualisiert am 11. Januar 2017 von admin.

Zurück

Cookies helfen uns bei der Bereitstellung der Inhalte auf unserer Homepage. Auch Cookies von Drittanbietern kommen zum Einsatz. Durch die Nutzung unserer Webseiten erklären Sie sich damit einverstanden, dass wir Cookies einsetzen. Weiterlesen …